#include <QtCore/QDebug>
#include <QtCore/QLibraryInfo>
#include <QtGui/QColor>
#include <QtGui/QStandardItemModel>
#include <QtGui/QStandardItem>
#include <QtWidgets/QApplication>
#include <QtWidgets/QTableView>

class Model : public QStandardItemModel
{
public:

    QVariant headerData(int section,  Qt::Orientation orientation, int role = Qt::DisplayRole) const override
    {
        if (orientation != Qt::Vertical)
            return QStandardItemModel::headerData(section, orientation, role);
        if (role == Qt::DisplayRole)
            return QString::number(section + 1);
        if (role == Qt::BackgroundRole)
            return section < 2 ? QColor(Qt::green) : QColor(Qt::red);
        return {};
    }
};

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    app.setStyle("fusion");
    qDebug() << QLibraryInfo::build();

    auto *model = new Model();
    QTableView table;
    for (int i = 0; i < 6; ++i)
        model->appendRow(new QStandardItem("test" + QString::number(i)));
    table.setWindowTitle(qVersion());
    table.setModel(model);
    table.show();
    app.exec();
    return 0;
}
